
Smart Proxy - Bug #10504

customrun was broken and customrun_args is empty threw Nil -> string exception 

05/13/2015 06:42 PM - Dhaivat Pandit

Status: Closed   

Priority: Normal   

Assignee: Dhaivat Pandit   

Category: Puppet   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/284,

https://github.com/theforeman/smart-pro

xy/pull/403

  

Description

puppet_proxy custom run complained with,

E, [2015-05-13T22:02:02.659085 #18294] ERROR -- : Exception 'can't convert Array into String' when executing

'["/usr/local/bin/custom_command", nil, ["REDACTED_HOST"]]'

In this case :customrun_args: was empty.

Attached PR fixes this https://github.com/theforeman/smart-proxy/pull/284

Associated revisions

Revision 50cd49b7 - 03/31/2016 08:31 AM - Pieter Hollants

Fixes #10504 - Avoid splitting undefined customrun_args

History

#1 - 05/14/2015 03:29 AM - Dominic Cleal

- Category set to Puppet

- Status changed from New to Ready For Testing

- Assignee set to Dhaivat Pandit

- translation missing: en.field_release set to 50

- Pull request https://github.com/theforeman/smart-proxy/pull/284 added

- Pull request deleted ()

#2 - 05/20/2015 02:25 AM - Dominic Cleal

- translation missing: en.field_release changed from 50 to 56

#3 - 06/15/2015 05:17 AM - Dominic Cleal

- translation missing: en.field_release deleted (56)

#4 - 03/30/2016 09:35 AM - Pieter Hollants

I updated Dhaivat's fix for the current code: https://github.com/theforeman/smart-proxy/pull/403

#5 - 03/30/2016 09:42 AM - Dominic Cleal

- Pull request https://github.com/theforeman/smart-proxy/pull/403 added

Thanks Pieter!
#6 - 03/31/2016 09:04 AM - Pieter Hollants

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 50cd49b75333c3c3eb1b03db71559521bb425c86.

#7 - 03/31/2016 09:12 AM - Dominic Cleal

- translation missing: en.field_release set to 141
